部署harbor

本文涉及的产品
智能开放搜索 OpenSearch行业算法版,1GB 20LCU 1个月
实时计算 Flink 版,5000CU*H 3个月
检索分析服务 Elasticsearch 版,2核4GB开发者规格 1个月
简介: 在Ubuntu 22.04 LTS环境下,部署Harbor私有仓库的步骤包括:确保已安装Docker(版本24.0.6),参考官方v2.5.3安装指南,注意避免在NFS4挂载磁盘上部署以防止PostgreSQL相关问题。首先,生成SSL证书,然后更新Docker配置并重启服务。解压并配置Harbor离线安装包,修改`harbor.yml`,执行`prepare`和`install.sh`脚本,最后将Harbor设置为系统服务。

部署环境

Ubuntu 22.04 LTS
已经安装了docker 原则上跟docker版本关系不大

 docker version
Client: Docker Engine - Community
 Version:           24.0.6
 API version:       1.43
 Go version:        go1.20.7
 Git commit:        ed223bc
 Built:             Mon Sep  4 12:31:44 2023
 OS/Arch:           linux/amd64
 Context:           default

Server: Docker Engine - Community
 Engine:
  Version:          24.0.6
  API version:      1.43 (minimum version 1.12)
  Go version:       go1.20.7
  Git commit:       1a79695
  Built:            Mon Sep  4 12:31:44 2023
  OS/Arch:          linux/amd64
  Experimental:     false
 containerd:
  Version:          1.6.24
  GitCommit:        61f9fd88f79f081d64d6fa3bb1a0dc71ec870523
 runc:
  Version:          1.1.9
  GitCommit:        v1.1.9-0-gccaecfc
 docker-init:
  Version:          0.19.0
  GitCommit:        de40ad0

参考资料&踩坑指南

参考资料 安装指南
安装版本 v2.5.3 , 部署包下载地址 v2.5.3

注意(踩坑) : 当存储在 nfs4 挂在的盘上 core 服务会不断的寻找(找不到)postgresql , postgresql 因为磁盘的问题无法创建

部署脚本

本假设harbor访问域名是 https://registry.example.com

#Generate a Certificate Authority Certificate
openssl genrsa -out ca.key 4096
openssl req -x509 -new -nodes -sha512 -days 3650 \
 -subj "/C=CN/ST=Beijing/L=Beijing/O=example/OU=Personal/CN=registry.example.com" \
 -key ca.key \
 -out ca.crt

#Generate a Server Certificate
openssl genrsa -out registry.example.com.key 4096
openssl req -sha512 -new \
    -subj "/C=CN/ST=Beijing/L=Beijing/O=example/OU=Personal/CN=registry.example.com" \
    -key registry.example.com.key \
    -out registry.example.com.csr

cat > v3.ext <<-EOF
authorityKeyIdentifier=keyid,issuer
basicConstraints=CA:FALSE
keyUsage = digitalSignature, nonRepudiation, keyEncipherment, dataEncipherment
extendedKeyUsage = serverAuth
subjectAltName = @alt_names

[alt_names]
DNS.1=registry.example.com
DNS.2=wwww.example.com
DNS.3=example.com
EOF

openssl x509 -req -sha512 -days 3650 \
    -extfile v3.ext \
    -CA ca.crt -CAkey ca.key -CAcreateserial \
    -in registry.example.com.csr \
    -out registry.example.com.crt


cp registry.example.com.crt /data/harbor/cert
cp registry.example.com.key /data/harbor/cert

openssl x509 -inform PEM -in registry.example.com.crt -out registry.example.com.cert

mkdir -p /etc/docker/certs.d/registry.example.com/
cp registry.example.com.cert /etc/docker/certs.d/registry.example.com/
cp registry.example.com.key /etc/docker/certs.d/registry.example.com/
cp ca.crt /etc/docker/certs.d/registry.example.com/

# 重新启动dokcer
systemctl restart docker

cd /usr/local/harbor/
tar zxvf harbor-offline-installer-v2.5.3.tgz
rm harbor-offline-installer-v2.5.3.tgz
mv harbor/* ../harbor

cp harbor.yml.tmpl harbor.yml
#修改配置文件 --配置域名,存储
harbor.yml
./prepare
#修改yml文件-配置网络

./install.sh
docker compose down -v
docker compose up -d

# 测试,验证
docker login registry.example.com
docker tag nginx:1.23.0 registry.example.com/aip/nginx:1.23.0
docker push registry.example.com/aip/nginx:1.23.0
docker pull registry.example.com/aip/nginx:1.23.0

配置成服务

### vim /lib/systemd/system/harbor.service
### systemctl daemon-reload
### systemctl enable harbor  # 开机自启
### systemctl start harbor   # 启动
###
[Unit]
Description=Harbor
After=docker.service systemd-networkd.service systemd-resolved.service
Requires=docker.service
Documentation=https://github.com/goharbor/harbor

[Service]
Type=simple
Restart=on-failure
RestartSec=5

ExecStart=/usr/bin/docker compose -f /usr/local/harbor/docker-compose.yml up
ExecStop=/usr/bin/docker compose -f /usr/local/harbor/docker-compose.yml stop

[Install]
WantedBy=multi-user.target

其他修改的文件

install.sh
```bash

!/bin/bash

set -e
shopt -s expand_aliases
alias docker-compose='docker compose'

DIR="$(cd "$(dirname "$0")" && pwd)"
source $DIR/common.sh

set +o noglob

usage=$'Please set hostname and other necessary attributes in harbor.yml first. DO NOT use localhost or 127.0.0.1 for hostname, because Harbor needs to be accessed by external clients.
Please set --with-notary if needs enable Notary in Harbor, and set ui_url_protocol/ssl_cert/ssl_cert_key in harbor.yml bacause notary must run under https.
Please set --with-trivy if needs enable Trivy in Harbor
Please set --with-chartmuseum if needs enable Chartmuseum in Harbor'
item=0

notary is not enabled by default

with_notary=$false

clair is deprecated

with_clair=$false

trivy is not enabled by default

with_trivy=$false

chartmuseum is not enabled by default

with_chartmuseum=$false

while [ $# -gt 0 ]; do
case $1 in
--help)
note "$usage"
exit 0;;
--with-notary)
with_notary=true;;
--with-clair)
with_clair=true;;
--with-trivy)
with_trivy=true;;
--with-chartmuseum)
with_chartmuseum=true;;
*)
note "$usage"
exit 1;;
esac
shift || true
done

if [ $with_clair ]
then
error "Clair is deprecated please remove it from installation arguments !!!"
exit 1
fi

workdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $workdir

h2 "[Step $item]: checking if docker is installed ..."; let item+=1
check_docker

h2 "[Step $item]: checking docker-compose is installed ..."; let item+=1
check_dockercompose

if [ -f harbor.tar.gz ]
then
h2 "[Step $item]: loading Harbor images ..."; let item+=1
docker load -i ./harbor
.tar.gz
fi
echo ""

h2 "[Step $item]: preparing environment ..."; let item+=1
if [ -n "$host" ]
then
sed "s/^hostname: .*/hostname: $host/g" -i ./harbor.yml
fi

h2 "[Step $item]: preparing harbor configs ..."; let item+=1
prepare_para=
if [ $with_notary ]
then
prepare_para="${prepare_para} --with-notary"
fi
if [ $with_trivy ]
then
prepare_para="${prepare_para} --with-trivy"
fi
if [ $with_chartmuseum ]
then
prepare_para="${prepare_para} --with-chartmuseum"
fi

./prepare $prepare_para
echo ""

if [ -n "$(docker-compose ps -q)" ]
then
note "stopping existing Harbor instance ..."
docker-compose down -v
fi
echo ""

h2 "[Step $item]: starting Harbor ..."
docker-compose up -d

success $"----Harbor has been installed and started successfully.----"


> common.sh
```bash
#!/bin/bash
#docker version: 17.06.0+
#docker-compose version: 1.18.0+
#golang version: 1.12.0+

set +e
set -o noglob

#
# Set Colors
#

bold=$(tput bold)
underline=$(tput sgr 0 1)
reset=$(tput sgr0)

red=$(tput setaf 1)
green=$(tput setaf 76)
white=$(tput setaf 7)
tan=$(tput setaf 202)
blue=$(tput setaf 25)

#
# Headers and Logging
#

underline() { printf "${underline}${bold}%s${reset}\n" "$@"
}
h1() { printf "\n${underline}${bold}${blue}%s${reset}\n" "$@"
}
h2() { printf "\n${underline}${bold}${white}%s${reset}\n" "$@"
}
debug() { printf "${white}%s${reset}\n" "$@"
}
info() { printf "${white}➜ %s${reset}\n" "$@"
}
success() { printf "${green}✔ %s${reset}\n" "$@"
}
error() { printf "${red}✖ %s${reset}\n" "$@"
}
warn() { printf "${tan}➜ %s${reset}\n" "$@"
}
bold() { printf "${bold}%s${reset}\n" "$@"
}
note() { printf "\n${underline}${bold}${blue}Note:${reset} ${blue}%s${reset}\n" "$@"
}

set -e

function check_golang {
    if ! go version &> /dev/null
    then
        warn "No golang package in your enviroment. You should use golang docker image build binary."
        return
    fi

    # docker has been installed and check its version
    if [[ $(go version) =~ (([0-9]+)\.([0-9]+)([\.0-9]*)) ]]
    then
        golang_version=${BASH_REMATCH[1]}
        golang_version_part1=${BASH_REMATCH[2]}
        golang_version_part2=${BASH_REMATCH[3]}

        # the version of golang does not meet the requirement
        if [ "$golang_version_part1" -lt 1 ] || ([ "$golang_version_part1" -eq 1 ] && [ "$golang_version_part2" -lt 12 ])
        then
            warn "Better to upgrade golang package to 1.12.0+ or use golang docker image build binary."
            return
        else
            note "golang version: $golang_version"
        fi
    else
        warn "Failed to parse golang version."
        return
    fi
}

function check_docker {
    if ! docker --version &> /dev/null
    then
        error "Need to install docker(17.06.0+) first and run this script again."
        exit 1
    fi

    # docker has been installed and check its version
    if [[ $(docker --version) =~ (([0-9]+)\.([0-9]+)([\.0-9]*)) ]]
    then
        docker_version=${BASH_REMATCH[1]}
        docker_version_part1=${BASH_REMATCH[2]}
        docker_version_part2=${BASH_REMATCH[3]}

        note "docker version: $docker_version"
        # the version of docker does not meet the requirement
        if [ "$docker_version_part1" -lt 17 ] || ([ "$docker_version_part1" -eq 17 ] && [ "$docker_version_part2" -lt 6 ])
        then
            error "Need to upgrade docker package to 17.06.0+."
            exit 1
        fi
    else
        error "Failed to parse docker version."
        exit 1
    fi
}

function check_dockercompose {
    if ! docker-compose version &> /dev/null
    then
        error "Need to install docker-compose(1.18.0+) by yourself first and run this script again."
        exit 1
    fi

    # docker-compose has been installed, check its version
    if [[ $(docker-compose version) =~ (([0-9]+)\.([0-9]+)([\.0-9]*)) ]]
    then
        docker_compose_version=${BASH_REMATCH[1]}
        docker_compose_version_part1=${BASH_REMATCH[2]}
        docker_compose_version_part2=${BASH_REMATCH[3]}

        note "docker-compose version: $docker_compose_version"
        # the version of docker-compose does not meet the requirement
        if [ "$docker_compose_version_part1" -lt 1 ] || ([ "$docker_compose_version_part1" -eq 1 ] && [ "$docker_compose_version_part2" -lt 18 ])
        then
            error "Need to upgrade docker-compose package to 1.18.0+."
            exit 1
        fi
    else
        error "Failed to parse docker-compose version."
        exit 1
    fi
}

docker-compose.yml
```yaml
version: '2.3'
services:
log:
image: goharbor/harbor-log:v2.5.3
container_name: harbor-log
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - DAC_OVERRIDE
  - SETGID
  - SETUID
volumes:
  - /var/log/harbor/:/var/log/docker/:z
  - type: bind
    source: ./common/config/log/logrotate.conf
    target: /etc/logrotate.d/logrotate.conf
  - type: bind
    source: ./common/config/log/rsyslog_docker.conf
    target: /etc/rsyslog.d/rsyslog_docker.conf
ports:
  - 127.0.0.1:1514:10514
networks:
  - harbor

registry:
image: goharbor/registry-photon:v2.5.3
container_name: registry
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/registry:/storage:z
  - ./common/config/registry/:/etc/registry/:z
  - type: bind
    source: /data/harbor/data/secret/registry/root.crt
    target: /etc/registry/root.crt
  - type: bind
    source: ./common/config/shared/trust-certificates
    target: /harbor_cust_cert
networks:
  - harbor
depends_on:
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "registry"

registryctl:
image: goharbor/harbor-registryctl:v2.5.3
container_name: registryctl
env_file:

  - ./common/config/registryctl/env
restart: always
cap_drop:
  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/registry:/storage:z
  - ./common/config/registry/:/etc/registry/:z
  - type: bind
    source: ./common/config/registryctl/config.yml
    target: /etc/registryctl/config.yml
  - type: bind
    source: ./common/config/shared/trust-certificates
    target: /harbor_cust_cert
networks:
  - harbor
depends_on:
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "registryctl"

postgresql:
image: goharbor/harbor-db:v2.5.3
container_name: harbor-db
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - DAC_OVERRIDE
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/database:/var/lib/postgresql/data:z
networks:
  harbor:
env_file:
  - ./common/config/db/env
depends_on:
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "postgresql"
shm_size: '1gb'

core:
image: goharbor/harbor-core:v2.5.3
container_name: harbor-core
env_file:

  - ./common/config/core/env
restart: always
cap_drop:
  - ALL
cap_add:
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/ca_download/:/etc/core/ca/:z
  - /data/harbor/data/:/data/:z
  - ./common/config/core/certificates/:/etc/core/certificates/:z
  - type: bind
    source: ./common/config/core/app.conf
    target: /etc/core/app.conf
  - type: bind
    source: /data/harbor/data/secret/core/private_key.pem
    target: /etc/core/private_key.pem
  - type: bind
    source: /data/harbor/data/secret/keys/secretkey
    target: /etc/core/key
  - type: bind
    source: ./common/config/shared/trust-certificates
    target: /harbor_cust_cert
networks:
  harbor:
depends_on:
  - log
  - registry
  - redis
  - postgresql
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "core"

portal:
image: goharbor/harbor-portal:v2.5.3
container_name: harbor-portal
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
  - NET_BIND_SERVICE
volumes:
  - type: bind
    source: ./common/config/portal/nginx.conf
    target: /etc/nginx/nginx.conf
networks:
  - harbor
depends_on:
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "portal"

jobservice:
image: goharbor/harbor-jobservice:v2.5.3
container_name: harbor-jobservice
env_file:

  - ./common/config/jobservice/env
restart: always
cap_drop:
  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/job_logs:/var/log/jobs:z
  - type: bind
    source: ./common/config/jobservice/config.yml
    target: /etc/jobservice/config.yml
  - type: bind
    source: ./common/config/shared/trust-certificates
    target: /harbor_cust_cert
networks:
  - harbor
depends_on:
  - core
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "jobservice"

redis:
image: goharbor/redis-photon:v2.5.3
container_name: redis
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
volumes:
  - /data/harbor/data/redis:/var/lib/redis
networks:
  harbor:
depends_on:
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "redis"

proxy:
image: goharbor/nginx-photon:v2.5.3
container_name: nginx
restart: always
cap_drop:

  - ALL
cap_add:
  - CHOWN
  - SETGID
  - SETUID
  - NET_BIND_SERVICE
volumes:
  - ./common/config/nginx:/etc/nginx:z
  - /data/harbor/data/secret/cert:/etc/cert:z
  - type: bind
    source: ./common/config/shared/trust-certificates
    target: /harbor_cust_cert
networks:
  - harbor
ports:
  - 10080:8080
  - 10443:8443
depends_on:
  - registry
  - core
  - portal
  - log
logging:
  driver: "syslog"
  options:
    syslog-address: "tcp://localhost:1514"
    tag: "proxy"

networks:
harbor:
external: false
driver: bridge
ipam:
driver: default
config:

        - subnet: "192.168.70.0/24"

> harbor.yml
```yaml
# Configuration file of Harbor

# The IP address or hostname to access admin UI and registry service.
# DO NOT use localhost or 127.0.0.1, because Harbor needs to be accessed by external clients.
hostname: registry.example.com

# http related config
http:
  # port for http, default is 80. If https enabled, this port will redirect to https port
  port: 80

# https related config
https:
  # https port for harbor, default is 443
  port: 443
  # The path of cert and key files for nginx
  certificate: /data/harbor/cert/registry.example.com.crt
  private_key: /data/harbor/cert/registry.example.com.key

# # Uncomment following will enable tls communication between all harbor components
# internal_tls:
#   # set enabled to true means internal tls is enabled
#   enabled: true
#   # put your cert and key files on dir
#   dir: /etc/harbor/tls/internal

# Uncomment external_url if you want to enable external proxy
# And when it enabled the hostname will no longer used
# external_url: https://reg.mydomain.com:8433

# The initial password of Harbor admin
# It only works in first time to install harbor
# Remember Change the admin password from UI after launching Harbor.
harbor_admin_password: Harbor12345

# Harbor DB configuration
database:
  # The password for the root user of Harbor DB. Change this before any production use.
  password: root123
  # The maximum number of connections in the idle connection pool. If it <=0, no idle connections are retained.
  max_idle_conns: 100
  # The maximum number of open connections to the database. If it <= 0, then there is no limit on the number of open connections.
  # Note: the default number of connections is 1024 for postgres of harbor.
  max_open_conns: 900

# The default data volume
data_volume: /data/harbor/data

# Harbor Storage settings by default is using /data dir on local filesystem
# Uncomment storage_service setting If you want to using external storage
# storage_service:
#   # ca_bundle is the path to the custom root ca certificate, which will be injected into the truststore
#   # of registry's and chart repository's containers.  This is usually needed when the user hosts a internal storage with self signed certificate.
#   ca_bundle:

#   # storage backend, default is filesystem, options include filesystem, azure, gcs, s3, swift and oss
#   # for more info about this configuration please refer https://docs.docker.com/registry/configuration/
#   filesystem:
#     maxthreads: 100
#   # set disable to true when you want to disable registry redirect
#   redirect:
#     disabled: false

# Trivy configuration
#
# Trivy DB contains vulnerability information from NVD, Red Hat, and many other upstream vulnerability databases.
# It is downloaded by Trivy from the GitHub release page https://github.com/aquasecurity/trivy-db/releases and cached
# in the local file system. In addition, the database contains the update timestamp so Trivy can detect whether it
# should download a newer version from the Internet or use the cached one. Currently, the database is updated every
# 12 hours and published as a new release to GitHub.
trivy:
  # ignoreUnfixed The flag to display only fixed vulnerabilities
  ignore_unfixed: false
  # skipUpdate The flag to enable or disable Trivy DB downloads from GitHub
  #
  # You might want to enable this flag in test or CI/CD environments to avoid GitHub rate limiting issues.
  # If the flag is enabled you have to download the `trivy-offline.tar.gz` archive manually, extract `trivy.db` and
  # `metadata.json` files and mount them in the `/home/scanner/.cache/trivy/db` path.
  skip_update: false
  #
  # The offline_scan option prevents Trivy from sending API requests to identify dependencies.
  # Scanning JAR files and pom.xml may require Internet access for better detection, but this option tries to avoid it.
  # For example, the offline mode will not try to resolve transitive dependencies in pom.xml when the dependency doesn't
  # exist in the local repositories. It means a number of detected vulnerabilities might be fewer in offline mode.
  # It would work if all the dependencies are in local.
  # This option doesn’t affect DB download. You need to specify "skip-update" as well as "offline-scan" in an air-gapped environment.
  offline_scan: false
  #
  # insecure The flag to skip verifying registry certificate
  insecure: false
  # github_token The GitHub access token to download Trivy DB
  #
  # Anonymous downloads from GitHub are subject to the limit of 60 requests per hour. Normally such rate limit is enough
  # for production operations. If, for any reason, it's not enough, you could increase the rate limit to 5000
  # requests per hour by specifying the GitHub access token. For more details on GitHub rate limiting please consult
  # https://developer.github.com/v3/#rate-limiting
  #
  # You can create a GitHub token by following the instructions in
  # https://help.github.com/en/github/authenticating-to-github/creating-a-personal-access-token-for-the-command-line
  #
  # github_token: xxx

jobservice:
  # Maximum number of job workers in job service
  max_job_workers: 10

notification:
  # Maximum retry count for webhook job
  webhook_job_max_retry: 10

chart:
  # Change the value of absolute_url to enabled can enable absolute url in chart
  absolute_url: disabled

# Log configurations
log:
  # options are debug, info, warning, error, fatal
  level: info
  # configs for logs in local storage
  local:
    # Log files are rotated log_rotate_count times before being removed. If count is 0, old versions are removed rather than rotated.
    rotate_count: 50
    # Log files are rotated only if they grow bigger than log_rotate_size bytes. If size is followed by k, the size is assumed to be in kilobytes.
    # If the M is used, the size is in megabytes, and if G is used, the size is in gigabytes. So size 100, size 100k, size 100M and size 100G
    # are all valid.
    rotate_size: 200M
    # The directory on your host that store log
    location: /var/log/harbor

  # Uncomment following lines to enable external syslog endpoint.
  # external_endpoint:
  #   # protocol used to transmit log to external endpoint, options is tcp or udp
  #   protocol: tcp
  #   # The host of external endpoint
  #   host: localhost
  #   # Port of external endpoint
  #   port: 5140

#This attribute is for migrator to detect the version of the .cfg file, DO NOT MODIFY!
_version: 2.5.0

# Uncomment external_database if using external database.
# external_database:
#   harbor:
#     host: harbor_db_host
#     port: harbor_db_port
#     db_name: harbor_db_name
#     username: harbor_db_username
#     password: harbor_db_password
#     ssl_mode: disable
#     max_idle_conns: 2
#     max_open_conns: 0
#   notary_signer:
#     host: notary_signer_db_host
#     port: notary_signer_db_port
#     db_name: notary_signer_db_name
#     username: notary_signer_db_username
#     password: notary_signer_db_password
#     ssl_mode: disable
#   notary_server:
#     host: notary_server_db_host
#     port: notary_server_db_port
#     db_name: notary_server_db_name
#     username: notary_server_db_username
#     password: notary_server_db_password
#     ssl_mode: disable

# Uncomment external_redis if using external Redis server
# external_redis:
#   # support redis, redis+sentinel
#   # host for redis: <host_redis>:<port_redis>
#   # host for redis+sentinel:
#   #  <host_sentinel1>:<port_sentinel1>,<host_sentinel2>:<port_sentinel2>,<host_sentinel3>:<port_sentinel3>
#   host: redis:6379
#   password: 
#   # sentinel_master_set must be set to support redis+sentinel
#   #sentinel_master_set:
#   # db_index 0 is for core, it's unchangeable
#   registry_db_index: 1
#   jobservice_db_index: 2
#   chartmuseum_db_index: 3
#   trivy_db_index: 5
#   idle_timeout_seconds: 30

# Uncomment uaa for trusting the certificate of uaa instance that is hosted via self-signed cert.
# uaa:
#   ca_file: /path/to/ca

# Global proxy
# Config http proxy for components, e.g. http://my.proxy.com:3128
# Components doesn't need to connect to each others via http proxy.
# Remove component from `components` array if want disable proxy
# for it. If you want use proxy for replication, MUST enable proxy
# for core and jobservice, and set `http_proxy` and `https_proxy`.
# Add domain to the `no_proxy` field, when you want disable proxy
# for some special registry.
proxy:
  http_proxy:
  https_proxy:
  no_proxy:
  components:
    - core
    - jobservice
    - trivy

# metric:
#   enabled: false
#   port: 9090
#   path: /metrics

# Trace related config
# only can enable one trace provider(jaeger or otel) at the same time,
# and when using jaeger as provider, can only enable it with agent mode or collector mode.
# if using jaeger collector mode, uncomment endpoint and uncomment username, password if needed
# if using jaeger agetn mode uncomment agent_host and agent_port
# trace:
#   enabled: true
#   # set sample_rate to 1 if you wanna sampling 100% of trace data; set 0.5 if you wanna sampling 50% of trace data, and so forth
#   sample_rate: 1
#   # # namespace used to differenciate different harbor services
#   # namespace:
#   # # attributes is a key value dict contains user defined attributes used to initialize trace provider
#   # attributes:
#   #   application: harbor
#   # # jaeger should be 1.26 or newer.
#   # jaeger:
#   #   endpoint: http://hostname:14268/api/traces
#   #   username:
#   #   password:
#   #   agent_host: hostname
#   #   # export trace data by jaeger.thrift in compact mode
#   #   agent_port: 6831
#   # otel:
#   #   endpoint: hostname:4318
#   #   url_path: /v1/traces
#   #   compression: false
#   #   insecure: true
#   #   timeout: 10s

# enable purge _upload directories
upload_purging:
  enabled: true
  # remove files in _upload directories which exist for a period of time, default is one week.
  age: 168h
  # the interval of the purge operations
  interval: 24h
  dryrun: false
相关实践学习
基于Redis实现在线游戏积分排行榜
本场景将介绍如何基于Redis数据库实现在线游戏中的游戏玩家积分排行榜功能。
云数据库 Redis 版使用教程
云数据库Redis版是兼容Redis协议标准的、提供持久化的内存数据库服务,基于高可靠双机热备架构及可无缝扩展的集群架构,满足高读写性能场景及容量需弹性变配的业务需求。 产品详情:https://www.aliyun.com/product/kvstore &nbsp; &nbsp; ------------------------------------------------------------------------- 阿里云数据库体验:数据库上云实战 开发者云会免费提供一台带自建MySQL的源数据库&nbsp;ECS 实例和一台目标数据库&nbsp;RDS实例。跟着指引,您可以一步步实现将ECS自建数据库迁移到目标数据库RDS。 点击下方链接,领取免费ECS&amp;RDS资源,30分钟完成数据库上云实战!https://developer.aliyun.com/adc/scenario/51eefbd1894e42f6bb9acacadd3f9121?spm=a2c6h.13788135.J_3257954370.9.4ba85f24utseFl
目录
相关文章
|
存储 运维 Kubernetes
在k8s上安装Harbor
在k8s上安装Harbor
661 0
|
存储 网络安全 数据安全/隐私保护
Docker harbor私有仓库部署与管理-2
Docker harbor私有仓库部署与管理
146 0
|
应用服务中间件 nginx 数据安全/隐私保护
Docker harbor私有仓库部署与管理-1
Docker harbor私有仓库部署与管理
190 0
|
23天前
|
应用服务中间件 nginx 数据安全/隐私保护
使用Harbor搭建Docker私有仓库
Harbor是一款开源的企业级Docker仓库管理工具,分为私有与公有仓库两种类型,其中私有仓库被广泛应用于运维场景。Harbor提供图形化界面,便于直观操作,并且其核心组件均由容器构建而成,因此安装时需预先配置Docker及docker-compose。Harbor支持基于项目的用户与仓库管理,实现细粒度的权限控制;具备镜像复制、日志收集等功能,并可通过UI直接管理镜像,支持审计追踪。部署Harbor涉及配置文件调整、登录认证等步骤,并可通过客户端进行镜像的上传、拉取等操作。系统内置多种角色,包括受限访客、访客、开发者、维护人员及管理员,以满足不同场景下的使用需求。
79 0
|
4月前
|
存储 网络安全 数据安全/隐私保护
Docker--harbor私有仓库部署与管理
Docker--harbor私有仓库部署与管理
Docker--harbor私有仓库部署与管理
|
数据库 数据安全/隐私保护 Docker
Docker harbor私有仓库部署与管理-3
Docker harbor私有仓库部署与管理
143 0
|
9月前
|
应用服务中间件 数据安全/隐私保护 nginx
搭建harbor
通过harbor在线包搭建harbor服务
93 1
|
Docker 容器
Harbor部署 1
Harbor部署
|
应用服务中间件 nginx Docker
Harbor部署 2
Harbor部署
147 0
|
JSON Kubernetes 算法
Harbor再次安装与使用
Harbor再次安装与使用
172 0